org.keycloak.services.util

## Class MtlsHoKTokenUtil

- java.lang.Object
- - org.keycloak.services.util.MtlsHoKTokenUtil

-     public class MtlsHoKTokenUtil
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CERT_VERIFY_ERROR_DESC`
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MtlsHoKTokenUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccessToken.CertConf` | `bindTokenWithClientCertificate(org.jboss.resteasy.spi.HttpRequest request, KeycloakSession session)`
    `static boolean` | `verifyTokenBindingWithClientCertificate(AccessToken token, org.jboss.resteasy.spi.HttpRequest request, KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### CERT_VERIFY_ERROR_DESC

          public static final String CERT_VERIFY_ERROR_DESC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MtlsHoKTokenUtil

          public MtlsHoKTokenUtil()

  - ### Method Detail

    - #### bindTokenWithClientCertificate

          public static AccessToken.CertConf bindTokenWithClientCertificate(org.jboss.resteasy.spi.HttpRequest request,
                                                                            KeycloakSession session)

    - #### verifyTokenBindingWithClientCertificate

          public static boolean verifyTokenBindingWithClientCertificate(AccessToken token,
                                                                        org.jboss.resteasy.spi.HttpRequest request,
                                                                        KeycloakSession session)

Copyright © 2021 JBoss by Red Hat. All rights reserved.